API reference

Notifications

2 endpoints · Overview

GET/v1/notifications

Bearer token

Parameters · query

  • unreadboolean
  • cursorstring
  • limitinteger
    default 500 · ≥ 1 · ≤ 1000

Responses

Example request
curl "https://side.example.com/v1/notifications" \
  -H "Authorization: Bearer $SIDESPACE_TOKEN"
Example response · 200
{
  "items": [
    {}
  ],
  "next_cursor": "next_cursor"
}

POST/v1/notifications/{id}/read

Bearer token

Parameters · path

  • idstringrequired

Responses

  • 204
    Marked read
Example request
curl -X POST "https://side.example.com/v1/notifications/id/read" \
  -H "Authorization: Bearer $SIDESPACE_TOKEN"